Subject: bug#26484: feature request: add ICC support on Windows

From: [email-masked]
Date: Tue, 18 Apr 2017 11:14:18 +0300

The essential ICC feature, that it tries to be GCC on *unix and MSVC on Windows. E.g. on Windows it has almost the same compiler keys, use MSVC Linker and Librarian, Windows SDK headers, etc. For this purpose ICC uses ' VS20xx x64 Native Tools Command Prompt ' to prepare environment. And thus both ICC (icl.exe) and MSVC (cl.exe) compilers are available in PATH variable during ICC run. 

I didn't find any other way to make libtool use ICC, except to adopt MSVC toolchain for ICC . But I have no idea how to make them both to use the same toolchain. Perhaps, the solution could be replace all entries of 'cl.exe' with ${CC} and ${CXX} and set its default values to 'cl.exe'. But still an opened question how to make ICC use '*.cl*)' toolchain. Would be appreciated for any hints. 

And even if it can be solved, it's still not much could be done without libtool Developers. I s there a chance, that someone will be engaged in this feature request? 

Alexander